%define realname  django-addons

Name:           python-%{realname}
Version:        0.6.6
Release:        %mkrel 8
Summary:        Addon framework to create pluggable Django addons
Group:          Development/Python
License:        BSD
URL:            http://pypi.python.org/pypi/django-addons
Source:         http://pypi.python.org/packages/source/d/django-addons/%{realname}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  pkgconfig(python)
BuildRequires:  python-setuptools
BuildRequires:  python-django
Requires:       python-django python-django-staticfiles
Recommends:       python-django-notification

%description
A Django app used to add true plug-n-play functionality to your own Django
applications and projects

Django-addons is a bunch of code that makes writing addon/plugins for your
Django project much easier. Add django-addons to your Django project and 
you can drop all the addons to '<projectdir>/addons' directory.

Features
========

* Addons overview page
* Automatic signal connecting of addons
* Automatic URL discovery of addons
* Template hooking system (inject code from addons to your main project)
* Django-staticfiles to serve site media from each addon
* Django-notifications support (automatic registration of noticetypes)
* Per addon localization
* Per addon settings
* Disabling addons via ./manage.py addons

%prep
%setup -q -n %{realname}-%{version}

%build
%{__python} setup.py build

%install
%{__python} setup.py install --skip-build  --root %{buildroot}
rm -f %{buildroot}/usr/django_addons/templates/addons.html

%files
%doc README LICENSE AUTHORS
%{python_sitelib}/django_addons
%{python_sitelib}/django_addons-%{version}-py?.?.egg-info




%changelog
* Mon Feb 08 2016 umeabot <umeabot> 0.6.6-8.mga6
+ Revision: 947563
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.6.6-7.mga5
+ Revision: 742301
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.6.6-6.mga5
+ Revision: 728253
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.6.6-5.mga5
+ Revision: 687967
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 0.6.6-3.mga4
+ Revision: 543050
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.6.6-2.mga4
+ Revision: 498361
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Aug 26 2013 philippem <philippem> 0.6.6-1.mga4
+ Revision: 471999
- update to 0.6.6

* Sun Jan 13 2013 umeabot <umeabot> 0.6.4-3.mga3
+ Revision: 378663
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Feb 21 2011 ahmad <ahmad> 0.6.4-2.mga1
+ Revision: 55594
- rebuild to make all pythonegg requires/provides lowercase

* Thu Jan 27 2011 ahmad <ahmad> 0.6.4-1.mga1
+ Revision: 42323
- imported package python-django-addons


* Fri Nov 12 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.6.4-1mdv2011.0
+ Revision: 596461
- Update to 0.6.4
- Update Summary, Source, URL and Description tags
- Add requires on python-django-staticfiles
- Add suggests on python-django-notification

* Tue Nov 02 2010 Ahmad Samir <ahmadsamir@mandriva.org> 0.1-1mdv2011.0
+ Revision: 591993
- add BR python-django
- import python-django-addons

